import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化采购员
export function initBuyer() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_人员与角色_查询数据_采购员'
    }
  })
}
// 采购合同查询
export function searchTable1(radio, check1, supplier, check2, start, end, check3, name, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '采购管理_情况审核查询_查询数据',
      param: '查询全部=' + radio + '&供应商流水号_check=' + check1 + '&供应商流水号=' + supplier + '&时间段_check=' + check2 + '&开始时间=' + start + '&结束时间=' + end + '&人员编号_check=' + check3 + '&人员编号=' + name,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询离线合同请款信息明细
export function searchTable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '采购管理_采购合同_请款明细_查询数据',
      param: `采购合同请款流水号=${num}`
    }
  })
}
// 查询供应商
export function searchSupplier() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '采购管理_供应商_查询数据_根据条件'
    }
  })
}
export function repeal(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '采购管理_采购合同_审批付款_撤回_修改数据',
      param: '采购合同请款流水号=' + num1 + '&审批_付款状态=' + num2
    }
  })
}
